> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dimepayments.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Recurring Invoice

> Cancels an active recurring-invoice template. No further invoices are
generated. Only active templates can be cancelled.



## OpenAPI

````yaml https://app.dimepayments.com/openapi.yaml post /api/recurring-invoice/cancel
openapi: 3.0.3
info:
  title: Dime Payments API Documentation
  description: >-
    A simple, basic API for managing Merchants through Dime Payments. JSON based
    REST API
  version: 1.0.0
servers:
  - url: https://app.dimepayments.com
security:
  - default: []
tags:
  - name: Merchant management
    description: ''
  - name: Transaction management
    description: >-

      APIs for managing transactions.  Depending on API KEY permissions, one
      should be able to

      charge credit cards, ACH, Google/Apple Pay wallets along with other
      functions.
  - name: Addresses
    description: |-

      APIs for managing customer addresses
  - name: Customer management
    description: >-

      APIs for managing customers.  Depending on API KEY permissions, one should
      be able to

      list, create, update, and delete customers along with several other
      customer specific requests.
  - name: Deposit management
    description: ''
  - name: Invoice management
    description: >-

      APIs for managing invoices. Depending on API KEY permissions, one should
      be

      able to list, create, update, delete, and send invoices, manage their line

      items, and manage recurring-invoice schedules. Every request is scoped to
      a

      single Merchant via the required `data.sid`.
  - name: Payment Method management
    description: >-

      APIs for managing payment methods associated with customers.  Depending on
      API KEY permissions, one should be able to

      list, show, create, update, and delete payment methods.
  - name: Recurring Payments management
    description: >-

      APIs for managing recurring payments.  Depending on API KEY permissions,
      one should be able to

      create, edit, pause, cancel along with other functions.
  - name: Zapier
    description: >-

      APIs for use through Zapier.  Depending on API KEY permissions, one should
      be able to

      see customers and transactions data.
paths:
  /api/recurring-invoice/cancel:
    post:
      tags:
        - Invoice management
      summary: Cancel Recurring Invoice
      description: |-
        Cancels an active recurring-invoice template. No further invoices are
        generated. Only active templates can be cancelled.
      operationId: cancelRecurringInvoice
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  description: ''
                  example:
                    sid: 12345
                  properties:
                    sid:
                      type: integer
                      description: The SID of the Merchant.
                      example: 12345
                    recurring_invoice_id:
                      type: integer
                      description: The id of the template to cancel.
                      example: 3
                  required:
                    - sid
                    - recurring_invoice_id
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: null
                    status: Active
                    recurrence_schedule: Monthly
                    payment_terms: net_15
                    start_date: '2026-07-22'
                    end_date: null
                    next_run_date: '2026-08-22'
                    last_run_date: null
                    thank_you_note: null
                    customer:
                      id: 15134
                      name: Marcelo Predovic
                      email: micaela88@example.org
                    items: []
                    upcoming_run_dates:
                      - '2026-08-22'
                      - '2026-09-22'
                      - '2026-10-22'
                    invoices: []
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: null
                        nullable: true
                      status:
                        type: string
                        example: Active
                      recurrence_schedule:
                        type: string
                        example: Monthly
                      payment_terms:
                        type: string
                        example: net_15
                      start_date:
                        type: string
                        example: '2026-07-22'
                      end_date:
                        type: string
                        example: null
                        nullable: true
                      next_run_date:
                        type: string
                        example: '2026-08-22'
                      last_run_date:
                        type: string
                        example: null
                        nullable: true
                      thank_you_note:
                        type: string
                        example: null
                        nullable: true
                      customer:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 15134
                          name:
                            type: string
                            example: Marcelo Predovic
                          email:
                            type: string
                            example: micaela88@example.org
                      items:
                        type: array
                        example: []
                      upcoming_run_dates:
                        type: array
                        example:
                          - '2026-08-22'
                          - '2026-09-22'
                          - '2026-10-22'
                        items:
                          type: string
                      invoices:
                        type: array
                        example: []
        '401':
          description: Token unauthorized
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    message: Permission Denied.
                properties:
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                        example: Permission Denied.
        '404':
          description: ''
          content:
            application/json:
              schema:
                oneOf:
                  - description: Invalid sid
                    type: object
                    example:
                      data:
                        message: No such Merchant
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: No such Merchant
                  - description: Not found
                    type: object
                    example:
                      data:
                        message: Recurring invoice not found
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: Recurring invoice not found
        '422':
          description: Not active
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    message: Only active recurring invoices can be cancelled.
                properties:
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                        example: Only active recurring invoices can be cancelled.
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: >-
        You can retrieve your token by visiting your dashboard and clicking
        <b>Generate API token under your profile in top right</b>.

````